Hi...

I'm curious as to why I get the following error when attempting
to compile using -static:

gcc -static pg_dump.o common.o -o pg_dump -L../../interfaces/libpq -lpq \
-L/usr/local/lib -lcrypt -lcompat -lln -lm -lreadline -ltermcap \
-lcurses
ld: No reference to __DYNAMIC
gmake: *** [pg_dump] Error 1


If I do a simple program (hello world) this does work...

I realize that this is probably a really simple question, but I
generally just compile using the 'default' of 'dynamic' and not worry about
it, but I'm trying to make a static binary that I can run on another FreeBSD
system, of a different release :(

Thanks for any help, in advance...

Marc G. Fournier
Systems Administrator @ hub.org
primary: scrappy@hub.org secondary: scrappy@{freebsd|postgresql}.org

------------------------------

Search Discussions

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppgsql-hackers @
categoriespostgresql
postedOct 5, '97 at 7:38a
activeOct 5, '97 at 7:38a
posts1
users1
websitepostgresql.org...
irc#postgresql

1 user in discussion

The Hermit Hacker: 1 post

People

Translate

site design / logo © 2021 Grokbase